language: php

php:
  - 5.3
  - 5.4
  - 5.5

services:
    - riak
    - mongodb
    - memcached
    - redis-server

before_script:
    - pecl install redis
    - pecl install riak-beta
    - sh -c "if [ `php-config --vernum` -ge 50500 ] ; then pecl config-set preferred_state beta; printf "yes\n" | pecl install apcu ; else echo 'extension="apc.so"' >> ./tests/travis/php.ini ;fi"
    - composer self-update
    - composer --prefer-source --dev install
    - phpenv config-add ./tests/travis/php.ini

script:
    - ./vendor/bin/phpunit -c ./tests/travis/phpunit.travis.xml -v

after_script:
    - php vendor/bin/coveralls -v
